Index: branches/src/ProcessManagement/ProcessManagement/Forms/DataEntry/Request/SalesConfirm/FrmSalesConfirm.cs
===================================================================
--- branches/src/ProcessManagement/ProcessManagement/Forms/DataEntry/Request/SalesConfirm/FrmSalesConfirm.cs	(revision 122)
+++ branches/src/ProcessManagement/ProcessManagement/Forms/DataEntry/Request/SalesConfirm/FrmSalesConfirm.cs	(revision 123)
@@ -2363,176 +1055,104 @@
                 logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
             }
         }
+        #endregion
 
-        /// <summary>
-        /// データを表示する。
-        /// </summary>
-        private void DisplayData()
-        {
-            try
-            {
-                //// 選択対象月の退避
-                //m_Select_TargetDate = CommonMotions.cnvInt(CommonMotions.cnvString(numericUpDown2.Value).Replace("/", ""));
-                //depositOrderers = new List<DepositOrderer>();
-                //dgvMaster.Rows.Clear();
-                //// データの取得
-                //depositOrderers = SelectDepositOrderers();
-                //// 請求先単位で設定を行う。
-                //dgvMaster.SuspendLayout();
-                //for (var i = (int)DispColumn.ApprovalName_1; i <= (int)DispColumn.ApprovalName_10; i += 5)
-                //    dgvMaster.Columns[i].Visible = false;
-                //foreach (var deposit in depositOrderers)
-                //{
-                //    AddDepositOrdererRows(deposit, dgvMaster.RowCount);
-                //}
-                //isDirty = false;
-                //ControlButton();
+        //#region 編集可否判定（入金データ）
+        //private bool CanEditDeposit(DepositOrderer depositOrderer)
+        //{
+        //    // 担当者の場合
+        //    if (m_UserInfo.m_Type == CommonDefine.SecurityRankPos.NormalAuthority)
+        //    {
+        //        // 承認済みなら編集不可
+        //        if (depositOrderer.HasApprovedByApprover)
+        //            return false;
+        //    }
+        //    // 所属長、統括者の場合
+        //    else if (m_UserInfo.m_Type == CommonDefine.SecurityRankPos.LimitedAuthority || m_UserInfo.m_Type == CommonDefine.SecurityRankPos.FreeAuthority)
+        //    {
+        //        if (depositOrderer.HasApprovedByLastApprover)
+        //            return false;
+        //    }
+        //    // 特別権限の場合
+        //    else if (m_UserInfo.m_Type == CommonDefine.SecurityRankPos.SpecialAuthority)
+        //    {
+        //        if (depositOrderer.HasApprovedByLastApprover)
+        //            return false;
+        //    }
+        //    return m_UserInfo.CanEditDeposit;
+        //}
+        //#endregion
 
-                ///////////////////////////////////////////////////////////////////////////////////////
-                // 表示条件の取得
-                ///////////////////////////////////////////////////////////////////////////////////////
+        #region 編集可否判定（入金明細データ）
+        #region 編集可否判定
+        //private bool CanEditDepositDetail(DepositDetail depositDetail)
+        //{
+        //    // 担当者の場合
+        //    if (m_UserInfo.m_Type == CommonDefine.SecurityRankPos.NormalAuthority)
+        //    {
+        //        // 承認済みなら編集不可
+        //        if (depositDetail.IsApprovedByStaff || depositDetail.IsApprovedByApprover)
+        //            return false;
+        //    }
+        //    // 所属長、統括者の場合
+        //    else if (m_UserInfo.m_Type == CommonDefine.SecurityRankPos.LimitedAuthority || m_UserInfo.m_Type == CommonDefine.SecurityRankPos.FreeAuthority)
+        //    {
+        //        // 上位の承認者でなければ編集不可
+        //        if (!IsUpperLevelApprover(depositDetail))
+        //            return false;
+        //    }
+        //    // 特別権限の場合
+        //    else if (m_UserInfo.m_Type == CommonDefine.SecurityRankPos.SpecialAuthority)
+        //    {
+        //        if (depositDetail.IsApprovedByLastApprover)
+        //            return false;
+        //    }
+        //    return m_UserInfo.CanEditDepositDetail;
+        //}
+        #endregion
 
-                //　営業期
-                m_Select_TargetBusinessPeriod = CommonMotions.cnvInt(numericUpDown2.Value);
+        #region 上位承認者存在チェック
+        //private bool IsUpperLevelApprover(DepositDetail depositDetail)
+        //{
+        //    if (depositDetail.DepositApprovals.Count == 0)
+        //        return true;
+        //    var lastApproverIndex = depositDetail.DepositApprovals.FindLastIndex(da => da.ApprovalDate != "");
+        //    var myIndex = depositDetail.DepositApprovals.FindLastIndex(da => da.ApprovalPerson == CommonMotions.LoginUserData.PersonCode);
+        //    return myIndex > lastApproverIndex;
+        //}
+        #endregion
+        #endregion
 
-                //　対象月（月指定が選択されているかつ空白以外の場合のみ）
-                if (radioButton2.Checked && !CommonMotions.cnvInt(comboBox1.SelectedItem).Equals("　"))
-                {
-                    m_Select_TargetDate = CommonMotions.cnvInt(comboBox1.SelectedItem);
-                }
-                else
-                {
-                    m_Select_TargetDate = 0;
-                }
-
-                //　部署
-                m_Select_TargetDepartment = CommonMotions.cnvInt(comboBox2.SelectedValue);
-
-                //  担当者
-                m_Select_TargetPerson = CommonMotions.cnvInt(comboBox3.SelectedValue); ;
-
-                ///////////////////////////////////////////////////////////////////////////////////////////
-                // データの取得
-                ///////////////////////////////////////////////////////////////////////////////////////////
-
-                depositOrderers = new List<DepositOrderer>();
-                dgvMaster.Rows.Clear();
-
-                depositOrderers = SelectDepositOrderers();
-
-                // 請求先単位で設定を行う。
-                dgvMaster.SuspendLayout();
-                for (var i = (int)DispColumn.ApprovalName_1; i <= (int)DispColumn.ApprovalName_10; i += 5)
-                    dgvMaster.Columns[i].Visible = false;
-                foreach (var deposit in depositOrderers)
-                {
-                    AddDepositOrdererRows(deposit, dgvMaster.RowCount);
-                }
-                isDirty = false;
-                ControlButton();
-            }
-            catch (Exception ex)
-            {
-                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
-            }
-            finally
-            {
-                dgvMaster.ResumeLayout();
-                if (dgvMaster.Rows.Count > 0)
-                {
-                    dgvMaster.FirstDisplayedScrollingRowIndex = 0;
-                    dgvMaster.FirstDisplayedScrollingColumnIndex = 1;
-                    dgvMaster.CurrentCell = dgvMaster[1, 0];
-                }
-            }
-        }
-
+        #region 編集用空白行追加
         /// <summary>
-        /// 不明行かを判定する。
+        /// 編集用空白行追加
         /// </summary>
         /// <param name="index"></param>
-        /// <returns></returns>
-        private bool IsUnknownRow(int index)
+        private void AddBlankRow(DepositOrderer depositOrderer, int index)
         {
-            //            var cells = dgvMaster.Rows[index].Cells;
-            //            return CommonMotions.cnvString(cells[(int)DispColumn.ConstructionName].Value) == "不明"
-            //                && CommonMotions.cnvString(cells[(int)DispColumn.ConstructionName_Raw].Value) == "";
-            return false;
-        }
-
-        /// <summary>
-        /// 空白行かを判定する。
-        /// </summary>
-        /// <param name="index"></param>
-        /// <returns></returns>
-        private bool IsBlankRow(int index)
-        {
-            var cells = dgvMaster.Rows[index].Cells;
-            return CommonMotions.cnvString(cells[(int)DispColumn.SeqNo]) == ""
-                && CommonMotions.cnvString(cells[(int)DispColumn.LineCount]) == ""
-                && CommonMotions.cnvString(cells[(int)DispColumn.ConstructionName].Value) == ""
-                && CommonMotions.cnvString(cells[(int)DispColumn.ConstructionName_Raw].Value) == "";
-        }
-
-        /// <summary>
-        /// 不明行の設定を行う。
-        /// </summary>
-        /// <param name="index"></param>
-        private void AddUnknownRow(DepositOrderer depositOrderer, int index)
-        {
-            // 不明行金額の計算
-            long depositAmountCash = 0;
-            long depositAmountBill = 0;
-            foreach (var deposit in depositOrderer.Deposits)
+            var headerIndex = DetectHeaderIndex(index);
+            var headerCells = dgvMaster.Rows[headerIndex].Cells;
+            var blankIndex = dgvMaster.RowCount;
+            for (var i = headerIndex; i < dgvMaster.RowCount; i++)
             {
-                depositAmountCash += deposit.DepositAmountCash.GetValueOrDefault(0);
-                depositAmountBill += deposit.DepositAmountBill.GetValueOrDefault(0);
+                var cells = dgvMaster.Rows[i].Cells;
+                if (CommonMotions.cnvInt(headerCells[(int)DispColumn.OrderersDivision].Value) != CommonMotions.cnvInt(cells[(int)DispColumn.OrderersDivision].Value)
+                    || CommonMotions.cnvInt(headerCells[(int)DispColumn.OrderersCode].Value) != CommonMotions.cnvInt(cells[(int)DispColumn.OrderersCode].Value))
+                {
+                    blankIndex = i;
+                    break;
+                }
             }
-            long depositAmount = 0;
-            foreach (var depositDetail in depositOrderer.DepositDetails)
-            {
-                depositAmount += depositDetail.DepositAmount;
-            }
-            long unknownAmount = (depositAmountCash + depositAmountBill) - depositAmount;
-            if (unknownAmount <= 0)
-                return;
-            // 不明行は入金明細の一番下に作成する
-            var unknownIndex = index + depositOrderer.VisibleDepositDetails.Count;
-            // 入金明細が入金より多い場合は不明行を追加
-            if (depositOrderer.VisibleDepositDetails.Count >= depositOrderer.VisibleDeposits.Count)
-            {
-                dgvMaster.Rows.Insert(unknownIndex);
-                dgvMaster.Rows[unknownIndex].ReadOnly = true;
-            }
-            var row = dgvMaster.Rows[unknownIndex];
-            row.Cells[(int)DispColumn.OrderersDivision].Value = depositOrderer.OrderersDivision;
-            row.Cells[(int)DispColumn.OrderersCode].Value = depositOrderer.OrderersCode;
-            //row.Cells[(int)DispColumn.ConstructionName].Value = "不明";
-            // 編集設定
-            var readOnly = !CanEditDeposit(depositOrderer);
-            row.Cells[(int)DispColumn.DepositDate].ReadOnly = readOnly;
-            row.Cells[(int)DispColumn.DepositAmountCash].ReadOnly = readOnly;
-            row.Cells[(int)DispColumn.DepositAmountBill].ReadOnly = readOnly;
-            SetPrice(row.Cells, (int)DispColumn.DepositAmount, unknownAmount);
-        }
+            dgvMaster.Rows.Insert(blankIndex);
+            var row = dgvMaster.Rows[blankIndex];
+            row.ReadOnly = true;
+            row.Cells[(int)DispColumn.OrderersDivision].Value = headerCells[(int)DispColumn.OrderersDivision].Value;
+            row.Cells[(int)DispColumn.OrderersCode].Value = headerCells[(int)DispColumn.OrderersCode].Value;
 
-        private long CalculateDifference(DepositOrderer depositOrderer)
-        {
-            long depositAmountCash = 0;
-            long depositAmountBill = 0;
-            foreach (var deposit in depositOrderer.Deposits)
-            {
-                depositAmountCash += deposit.DepositAmountCash.GetValueOrDefault(0);
-                depositAmountBill += deposit.DepositAmountBill.GetValueOrDefault(0);
-            }
-            long depositAmount = 0;
-            foreach (var depositDetail in depositOrderer.DepositDetails)
-            {
-                depositAmount += depositDetail.DepositAmount;
-            }
-            return depositAmountCash + depositAmountBill - depositAmount;
         }
+        #endregion
 
+        #region 合計行の設定を行う
         /// <summary>
         /// 合計行の設定を行う。
         /// </summary>
@@ -2621,7 +1241,13 @@
             differentCells[(int)DispColumn.OrderersName].Value = "差額";
             SetPrice(differentCells, (int)DispColumn.DepositAmountCash, depositAmountCash + depositAmountBill - depositAmount);
         }
+        #endregion
 
+        #region ヘッダ制御
+        /// <summary>
+        /// ヘッダ制御
+        /// </summary>
+        /// <param name="index"></param>
         private int DetectHeaderIndex(int index)
         {
             for (var i = index; i >= 0; i--)
@@ -2633,35 +1259,31 @@
             }
             return 0;
         }
+        #endregion
 
-        private int DetectHeaderIndex(DepositOrderer depositOrderer)
-        {
-            for (var i = 0; i < dgvMaster.RowCount; i++)
-            {
-                var cells = dgvMaster.Rows[i].Cells;
-                if (CommonMotions.cnvInt(cells[(int)DispColumn.OrderersDivision]) == depositOrderer.OrderersDivision
-                    && CommonMotions.cnvInt(cells[(int)DispColumn.OrderersCode]) == depositOrderer.OrderersCode)
-                {
-                    return i;
-                }
-            }
-            return 0;
-        }
+        /// <summary>
+        /// ヘッダ制御②
+        /// </summary>
+        /// <param name="index"></param>
+        //private int DetectHeaderIndex(DepositOrderer depositOrderer)
+        //{
+        //    for (var i = 0; i < dgvMaster.RowCount; i++)
+        //    {
+        //        var cells = dgvMaster.Rows[i].Cells;
+        //        if (CommonMotions.cnvInt(cells[(int)DispColumn.OrderersDivision]) == depositOrderer.OrderersDivision
+        //            && CommonMotions.cnvInt(cells[(int)DispColumn.OrderersCode]) == depositOrderer.OrderersCode)
+        //        {
+        //            return i;
+        //        }
+        //    }
+        //    return 0;
+        //}
 
-        private int DetectUnknownIndex(int index)
-        {
-            var headerIndex = DetectHeaderIndex(index);
-            for (var i = headerIndex; i < dgvMaster.Rows.Count; i++)
-            {
-                var constructionName = CommonMotions.cnvString(dgvMaster.Rows[i].Cells[(int)DispColumn.ConstructionName].Value);
-                if (constructionName == "" || constructionName == "不明")
-                {
-                    return i;
-                }
-            }
-            return 0;
-        }
-
+        #region 金額フォーマット
+        /// <summary>
+        /// 金額フォーマット
+        /// </summary>
+        /// <param name="index"></param>
         private void SetPrice(DataGridViewCellCollection cells, int index, long price)
         {
             cells[index].Value = price.ToString("#,0");
@@ -2671,7 +1293,13 @@
                 cells[index].Style.ForeColor = Color.Red;
             }
         }
+        #endregion
 
+        #region 発注者名フォーマット
+        /// <summary>
+        /// 発注者名フォーマット
+        /// </summary>
+        /// <param name="index"></param>
         private string ToOrdererName(int corporateStatusPoint, string corporateStatusName, string orderersName1, string orderersName2)
         {
             // 発注者名１△発注者名２
@@ -2699,7 +1327,9 @@
             }
             return orderersName1 + corporateStatusName + orderersName2;
         }
+        #endregion
 
+        #region DataGridヘッダ色表示
         /// <summary>
         /// DataGridヘッダ色表示
         /// </summary>
@@ -2810,7 +1440,9 @@
                 }
             }
         }
+        #endregion
 
+        #region 表示権限チェック①
         /// <summary>
         /// 表示権限のチェックを実施する。
         /// </summary>
@@ -2857,7 +1489,9 @@
                 return false;
             }
         }
+        #endregion
 
+        #region 表示権限チェック②
         /// <summary>
         /// 表示権限のチェックを実施する。
         /// </summary>
@@ -2921,9 +1555,11 @@
                 return false;
             }
         }
+        #endregion
 
+        #region 担当未承認の承認者リスト取得
         /// <summary>
-        /// 担当未承認の承認者リスト
+        /// 担当未承認の承認者リスト取得
         /// </summary>
         /// <param name="departmentCode"></param>
         /// <param name="approves"></param>
